Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network80.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
80.0.0.0
Broadcast address
83.255.255.255
First usable
80.0.0.1
Last usable
83.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 50000000 · Integer 1342177280 to 1409286143
Reverse DNS zones
80.in-addr.arpa
81.in-addr.arpa
82.in-addr.arpa
83.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010000.00000000.00000000.0000000080.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01010000.00000000.00000000.0000000080.0.0.0
Broadcast01010011.11111111.11111111.1111111183.255.255.255
Split into smaller subnets/16

80.0.0.0/6 makes 1,024 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
180.0.0.0/1680.0.0.1 to 80.0.255.25480.0.255.25565,534
280.1.0.0/1680.1.0.1 to 80.1.255.25480.1.255.25565,534
380.2.0.0/1680.2.0.1 to 80.2.255.25480.2.255.25565,534
480.3.0.0/1680.3.0.1 to 80.3.255.25480.3.255.25565,534
580.4.0.0/1680.4.0.1 to 80.4.255.25480.4.255.25565,534
680.5.0.0/1680.5.0.1 to 80.5.255.25480.5.255.25565,534
780.6.0.0/1680.6.0.1 to 80.6.255.25480.6.255.25565,534
880.7.0.0/1680.7.0.1 to 80.7.255.25480.7.255.25565,534
980.8.0.0/1680.8.0.1 to 80.8.255.25480.8.255.25565,534
1080.9.0.0/1680.9.0.1 to 80.9.255.25480.9.255.25565,534
1180.10.0.0/1680.10.0.1 to 80.10.255.25480.10.255.25565,534
1280.11.0.0/1680.11.0.1 to 80.11.255.25480.11.255.25565,534
1380.12.0.0/1680.12.0.1 to 80.12.255.25480.12.255.25565,534
1480.13.0.0/1680.13.0.1 to 80.13.255.25480.13.255.25565,534
1580.14.0.0/1680.14.0.1 to 80.14.255.25480.14.255.25565,534
1680.15.0.0/1680.15.0.1 to 80.15.255.25480.15.255.25565,534
1780.16.0.0/1680.16.0.1 to 80.16.255.25480.16.255.25565,534
1880.17.0.0/1680.17.0.1 to 80.17.255.25480.17.255.25565,534
1980.18.0.0/1680.18.0.1 to 80.18.255.25480.18.255.25565,534
2080.19.0.0/1680.19.0.1 to 80.19.255.25480.19.255.25565,534
2180.20.0.0/1680.20.0.1 to 80.20.255.25480.20.255.25565,534
2280.21.0.0/1680.21.0.1 to 80.21.255.25480.21.255.25565,534
2380.22.0.0/1680.22.0.1 to 80.22.255.25480.22.255.25565,534
2480.23.0.0/1680.23.0.1 to 80.23.255.25480.23.255.25565,534
2580.24.0.0/1680.24.0.1 to 80.24.255.25480.24.255.25565,534
2680.25.0.0/1680.25.0.1 to 80.25.255.25480.25.255.25565,534
2780.26.0.0/1680.26.0.1 to 80.26.255.25480.26.255.25565,534
2880.27.0.0/1680.27.0.1 to 80.27.255.25480.27.255.25565,534
2980.28.0.0/1680.28.0.1 to 80.28.255.25480.28.255.25565,534
3080.29.0.0/1680.29.0.1 to 80.29.255.25480.29.255.25565,534
3180.30.0.0/1680.30.0.1 to 80.30.255.25480.30.255.25565,534
3280.31.0.0/1680.31.0.1 to 80.31.255.25480.31.255.25565,534
3380.32.0.0/1680.32.0.1 to 80.32.255.25480.32.255.25565,534
3480.33.0.0/1680.33.0.1 to 80.33.255.25480.33.255.25565,534
3580.34.0.0/1680.34.0.1 to 80.34.255.25480.34.255.25565,534
3680.35.0.0/1680.35.0.1 to 80.35.255.25480.35.255.25565,534
3780.36.0.0/1680.36.0.1 to 80.36.255.25480.36.255.25565,534
3880.37.0.0/1680.37.0.1 to 80.37.255.25480.37.255.25565,534
3980.38.0.0/1680.38.0.1 to 80.38.255.25480.38.255.25565,534
4080.39.0.0/1680.39.0.1 to 80.39.255.25480.39.255.25565,534
4180.40.0.0/1680.40.0.1 to 80.40.255.25480.40.255.25565,534
4280.41.0.0/1680.41.0.1 to 80.41.255.25480.41.255.25565,534
4380.42.0.0/1680.42.0.1 to 80.42.255.25480.42.255.25565,534
4480.43.0.0/1680.43.0.1 to 80.43.255.25480.43.255.25565,534
4580.44.0.0/1680.44.0.1 to 80.44.255.25480.44.255.25565,534
4680.45.0.0/1680.45.0.1 to 80.45.255.25480.45.255.25565,534
4780.46.0.0/1680.46.0.1 to 80.46.255.25480.46.255.25565,534
4880.47.0.0/1680.47.0.1 to 80.47.255.25480.47.255.25565,534
4980.48.0.0/1680.48.0.1 to 80.48.255.25480.48.255.25565,534
5080.49.0.0/1680.49.0.1 to 80.49.255.25480.49.255.25565,534
5180.50.0.0/1680.50.0.1 to 80.50.255.25480.50.255.25565,534
5280.51.0.0/1680.51.0.1 to 80.51.255.25480.51.255.25565,534
5380.52.0.0/1680.52.0.1 to 80.52.255.25480.52.255.25565,534
5480.53.0.0/1680.53.0.1 to 80.53.255.25480.53.255.25565,534
5580.54.0.0/1680.54.0.1 to 80.54.255.25480.54.255.25565,534
5680.55.0.0/1680.55.0.1 to 80.55.255.25480.55.255.25565,534
5780.56.0.0/1680.56.0.1 to 80.56.255.25480.56.255.25565,534
5880.57.0.0/1680.57.0.1 to 80.57.255.25480.57.255.25565,534
5980.58.0.0/1680.58.0.1 to 80.58.255.25480.58.255.25565,534
6080.59.0.0/1680.59.0.1 to 80.59.255.25480.59.255.25565,534
6180.60.0.0/1680.60.0.1 to 80.60.255.25480.60.255.25565,534
6280.61.0.0/1680.61.0.1 to 80.61.255.25480.61.255.25565,534
6380.62.0.0/1680.62.0.1 to 80.62.255.25480.62.255.25565,534
6480.63.0.0/1680.63.0.1 to 80.63.255.25480.63.255.25565,534
6580.64.0.0/1680.64.0.1 to 80.64.255.25480.64.255.25565,534
6680.65.0.0/1680.65.0.1 to 80.65.255.25480.65.255.25565,534
6780.66.0.0/1680.66.0.1 to 80.66.255.25480.66.255.25565,534
6880.67.0.0/1680.67.0.1 to 80.67.255.25480.67.255.25565,534
6980.68.0.0/1680.68.0.1 to 80.68.255.25480.68.255.25565,534
7080.69.0.0/1680.69.0.1 to 80.69.255.25480.69.255.25565,534
7180.70.0.0/1680.70.0.1 to 80.70.255.25480.70.255.25565,534
7280.71.0.0/1680.71.0.1 to 80.71.255.25480.71.255.25565,534
7380.72.0.0/1680.72.0.1 to 80.72.255.25480.72.255.25565,534
7480.73.0.0/1680.73.0.1 to 80.73.255.25480.73.255.25565,534
7580.74.0.0/1680.74.0.1 to 80.74.255.25480.74.255.25565,534
7680.75.0.0/1680.75.0.1 to 80.75.255.25480.75.255.25565,534
7780.76.0.0/1680.76.0.1 to 80.76.255.25480.76.255.25565,534
7880.77.0.0/1680.77.0.1 to 80.77.255.25480.77.255.25565,534
7980.78.0.0/1680.78.0.1 to 80.78.255.25480.78.255.25565,534
8080.79.0.0/1680.79.0.1 to 80.79.255.25480.79.255.25565,534
8180.80.0.0/1680.80.0.1 to 80.80.255.25480.80.255.25565,534
8280.81.0.0/1680.81.0.1 to 80.81.255.25480.81.255.25565,534
8380.82.0.0/1680.82.0.1 to 80.82.255.25480.82.255.25565,534
8480.83.0.0/1680.83.0.1 to 80.83.255.25480.83.255.25565,534
8580.84.0.0/1680.84.0.1 to 80.84.255.25480.84.255.25565,534
8680.85.0.0/1680.85.0.1 to 80.85.255.25480.85.255.25565,534
8780.86.0.0/1680.86.0.1 to 80.86.255.25480.86.255.25565,534
8880.87.0.0/1680.87.0.1 to 80.87.255.25480.87.255.25565,534
8980.88.0.0/1680.88.0.1 to 80.88.255.25480.88.255.25565,534
9080.89.0.0/1680.89.0.1 to 80.89.255.25480.89.255.25565,534
9180.90.0.0/1680.90.0.1 to 80.90.255.25480.90.255.25565,534
9280.91.0.0/1680.91.0.1 to 80.91.255.25480.91.255.25565,534
9380.92.0.0/1680.92.0.1 to 80.92.255.25480.92.255.25565,534
9480.93.0.0/1680.93.0.1 to 80.93.255.25480.93.255.25565,534
9580.94.0.0/1680.94.0.1 to 80.94.255.25480.94.255.25565,534
9680.95.0.0/1680.95.0.1 to 80.95.255.25480.95.255.25565,534
9780.96.0.0/1680.96.0.1 to 80.96.255.25480.96.255.25565,534
9880.97.0.0/1680.97.0.1 to 80.97.255.25480.97.255.25565,534
9980.98.0.0/1680.98.0.1 to 80.98.255.25480.98.255.25565,534
10080.99.0.0/1680.99.0.1 to 80.99.255.25480.99.255.25565,534
10180.100.0.0/1680.100.0.1 to 80.100.255.25480.100.255.25565,534
10280.101.0.0/1680.101.0.1 to 80.101.255.25480.101.255.25565,534
10380.102.0.0/1680.102.0.1 to 80.102.255.25480.102.255.25565,534
10480.103.0.0/1680.103.0.1 to 80.103.255.25480.103.255.25565,534
10580.104.0.0/1680.104.0.1 to 80.104.255.25480.104.255.25565,534
10680.105.0.0/1680.105.0.1 to 80.105.255.25480.105.255.25565,534
10780.106.0.0/1680.106.0.1 to 80.106.255.25480.106.255.25565,534
10880.107.0.0/1680.107.0.1 to 80.107.255.25480.107.255.25565,534
10980.108.0.0/1680.108.0.1 to 80.108.255.25480.108.255.25565,534
11080.109.0.0/1680.109.0.1 to 80.109.255.25480.109.255.25565,534
11180.110.0.0/1680.110.0.1 to 80.110.255.25480.110.255.25565,534
11280.111.0.0/1680.111.0.1 to 80.111.255.25480.111.255.25565,534
11380.112.0.0/1680.112.0.1 to 80.112.255.25480.112.255.25565,534
11480.113.0.0/1680.113.0.1 to 80.113.255.25480.113.255.25565,534
11580.114.0.0/1680.114.0.1 to 80.114.255.25480.114.255.25565,534
11680.115.0.0/1680.115.0.1 to 80.115.255.25480.115.255.25565,534
11780.116.0.0/1680.116.0.1 to 80.116.255.25480.116.255.25565,534
11880.117.0.0/1680.117.0.1 to 80.117.255.25480.117.255.25565,534
11980.118.0.0/1680.118.0.1 to 80.118.255.25480.118.255.25565,534
12080.119.0.0/1680.119.0.1 to 80.119.255.25480.119.255.25565,534
12180.120.0.0/1680.120.0.1 to 80.120.255.25480.120.255.25565,534
12280.121.0.0/1680.121.0.1 to 80.121.255.25480.121.255.25565,534
12380.122.0.0/1680.122.0.1 to 80.122.255.25480.122.255.25565,534
12480.123.0.0/1680.123.0.1 to 80.123.255.25480.123.255.25565,534
12580.124.0.0/1680.124.0.1 to 80.124.255.25480.124.255.25565,534
12680.125.0.0/1680.125.0.1 to 80.125.255.25480.125.255.25565,534
12780.126.0.0/1680.126.0.1 to 80.126.255.25480.126.255.25565,534
12880.127.0.0/1680.127.0.1 to 80.127.255.25480.127.255.25565,534
12980.128.0.0/1680.128.0.1 to 80.128.255.25480.128.255.25565,534
13080.129.0.0/1680.129.0.1 to 80.129.255.25480.129.255.25565,534
13180.130.0.0/1680.130.0.1 to 80.130.255.25480.130.255.25565,534
13280.131.0.0/1680.131.0.1 to 80.131.255.25480.131.255.25565,534
13380.132.0.0/1680.132.0.1 to 80.132.255.25480.132.255.25565,534
13480.133.0.0/1680.133.0.1 to 80.133.255.25480.133.255.25565,534
13580.134.0.0/1680.134.0.1 to 80.134.255.25480.134.255.25565,534
13680.135.0.0/1680.135.0.1 to 80.135.255.25480.135.255.25565,534
13780.136.0.0/1680.136.0.1 to 80.136.255.25480.136.255.25565,534
13880.137.0.0/1680.137.0.1 to 80.137.255.25480.137.255.25565,534
13980.138.0.0/1680.138.0.1 to 80.138.255.25480.138.255.25565,534
14080.139.0.0/1680.139.0.1 to 80.139.255.25480.139.255.25565,534
14180.140.0.0/1680.140.0.1 to 80.140.255.25480.140.255.25565,534
14280.141.0.0/1680.141.0.1 to 80.141.255.25480.141.255.25565,534
14380.142.0.0/1680.142.0.1 to 80.142.255.25480.142.255.25565,534
14480.143.0.0/1680.143.0.1 to 80.143.255.25480.143.255.25565,534
14580.144.0.0/1680.144.0.1 to 80.144.255.25480.144.255.25565,534
14680.145.0.0/1680.145.0.1 to 80.145.255.25480.145.255.25565,534
14780.146.0.0/1680.146.0.1 to 80.146.255.25480.146.255.25565,534
14880.147.0.0/1680.147.0.1 to 80.147.255.25480.147.255.25565,534
14980.148.0.0/1680.148.0.1 to 80.148.255.25480.148.255.25565,534
15080.149.0.0/1680.149.0.1 to 80.149.255.25480.149.255.25565,534
15180.150.0.0/1680.150.0.1 to 80.150.255.25480.150.255.25565,534
15280.151.0.0/1680.151.0.1 to 80.151.255.25480.151.255.25565,534
15380.152.0.0/1680.152.0.1 to 80.152.255.25480.152.255.25565,534
15480.153.0.0/1680.153.0.1 to 80.153.255.25480.153.255.25565,534
15580.154.0.0/1680.154.0.1 to 80.154.255.25480.154.255.25565,534
15680.155.0.0/1680.155.0.1 to 80.155.255.25480.155.255.25565,534
15780.156.0.0/1680.156.0.1 to 80.156.255.25480.156.255.25565,534
15880.157.0.0/1680.157.0.1 to 80.157.255.25480.157.255.25565,534
15980.158.0.0/1680.158.0.1 to 80.158.255.25480.158.255.25565,534
16080.159.0.0/1680.159.0.1 to 80.159.255.25480.159.255.25565,534
16180.160.0.0/1680.160.0.1 to 80.160.255.25480.160.255.25565,534
16280.161.0.0/1680.161.0.1 to 80.161.255.25480.161.255.25565,534
16380.162.0.0/1680.162.0.1 to 80.162.255.25480.162.255.25565,534
16480.163.0.0/1680.163.0.1 to 80.163.255.25480.163.255.25565,534
16580.164.0.0/1680.164.0.1 to 80.164.255.25480.164.255.25565,534
16680.165.0.0/1680.165.0.1 to 80.165.255.25480.165.255.25565,534
16780.166.0.0/1680.166.0.1 to 80.166.255.25480.166.255.25565,534
16880.167.0.0/1680.167.0.1 to 80.167.255.25480.167.255.25565,534
16980.168.0.0/1680.168.0.1 to 80.168.255.25480.168.255.25565,534
17080.169.0.0/1680.169.0.1 to 80.169.255.25480.169.255.25565,534
17180.170.0.0/1680.170.0.1 to 80.170.255.25480.170.255.25565,534
17280.171.0.0/1680.171.0.1 to 80.171.255.25480.171.255.25565,534
17380.172.0.0/1680.172.0.1 to 80.172.255.25480.172.255.25565,534
17480.173.0.0/1680.173.0.1 to 80.173.255.25480.173.255.25565,534
17580.174.0.0/1680.174.0.1 to 80.174.255.25480.174.255.25565,534
17680.175.0.0/1680.175.0.1 to 80.175.255.25480.175.255.25565,534
17780.176.0.0/1680.176.0.1 to 80.176.255.25480.176.255.25565,534
17880.177.0.0/1680.177.0.1 to 80.177.255.25480.177.255.25565,534
17980.178.0.0/1680.178.0.1 to 80.178.255.25480.178.255.25565,534
18080.179.0.0/1680.179.0.1 to 80.179.255.25480.179.255.25565,534
18180.180.0.0/1680.180.0.1 to 80.180.255.25480.180.255.25565,534
18280.181.0.0/1680.181.0.1 to 80.181.255.25480.181.255.25565,534
18380.182.0.0/1680.182.0.1 to 80.182.255.25480.182.255.25565,534
18480.183.0.0/1680.183.0.1 to 80.183.255.25480.183.255.25565,534
18580.184.0.0/1680.184.0.1 to 80.184.255.25480.184.255.25565,534
18680.185.0.0/1680.185.0.1 to 80.185.255.25480.185.255.25565,534
18780.186.0.0/1680.186.0.1 to 80.186.255.25480.186.255.25565,534
18880.187.0.0/1680.187.0.1 to 80.187.255.25480.187.255.25565,534
18980.188.0.0/1680.188.0.1 to 80.188.255.25480.188.255.25565,534
19080.189.0.0/1680.189.0.1 to 80.189.255.25480.189.255.25565,534
19180.190.0.0/1680.190.0.1 to 80.190.255.25480.190.255.25565,534
19280.191.0.0/1680.191.0.1 to 80.191.255.25480.191.255.25565,534
19380.192.0.0/1680.192.0.1 to 80.192.255.25480.192.255.25565,534
19480.193.0.0/1680.193.0.1 to 80.193.255.25480.193.255.25565,534
19580.194.0.0/1680.194.0.1 to 80.194.255.25480.194.255.25565,534
19680.195.0.0/1680.195.0.1 to 80.195.255.25480.195.255.25565,534
19780.196.0.0/1680.196.0.1 to 80.196.255.25480.196.255.25565,534
19880.197.0.0/1680.197.0.1 to 80.197.255.25480.197.255.25565,534
19980.198.0.0/1680.198.0.1 to 80.198.255.25480.198.255.25565,534
20080.199.0.0/1680.199.0.1 to 80.199.255.25480.199.255.25565,534
20180.200.0.0/1680.200.0.1 to 80.200.255.25480.200.255.25565,534
20280.201.0.0/1680.201.0.1 to 80.201.255.25480.201.255.25565,534
20380.202.0.0/1680.202.0.1 to 80.202.255.25480.202.255.25565,534
20480.203.0.0/1680.203.0.1 to 80.203.255.25480.203.255.25565,534
20580.204.0.0/1680.204.0.1 to 80.204.255.25480.204.255.25565,534
20680.205.0.0/1680.205.0.1 to 80.205.255.25480.205.255.25565,534
20780.206.0.0/1680.206.0.1 to 80.206.255.25480.206.255.25565,534
20880.207.0.0/1680.207.0.1 to 80.207.255.25480.207.255.25565,534
20980.208.0.0/1680.208.0.1 to 80.208.255.25480.208.255.25565,534
21080.209.0.0/1680.209.0.1 to 80.209.255.25480.209.255.25565,534
21180.210.0.0/1680.210.0.1 to 80.210.255.25480.210.255.25565,534
21280.211.0.0/1680.211.0.1 to 80.211.255.25480.211.255.25565,534
21380.212.0.0/1680.212.0.1 to 80.212.255.25480.212.255.25565,534
21480.213.0.0/1680.213.0.1 to 80.213.255.25480.213.255.25565,534
21580.214.0.0/1680.214.0.1 to 80.214.255.25480.214.255.25565,534
21680.215.0.0/1680.215.0.1 to 80.215.255.25480.215.255.25565,534
21780.216.0.0/1680.216.0.1 to 80.216.255.25480.216.255.25565,534
21880.217.0.0/1680.217.0.1 to 80.217.255.25480.217.255.25565,534
21980.218.0.0/1680.218.0.1 to 80.218.255.25480.218.255.25565,534
22080.219.0.0/1680.219.0.1 to 80.219.255.25480.219.255.25565,534
22180.220.0.0/1680.220.0.1 to 80.220.255.25480.220.255.25565,534
22280.221.0.0/1680.221.0.1 to 80.221.255.25480.221.255.25565,534
22380.222.0.0/1680.222.0.1 to 80.222.255.25480.222.255.25565,534
22480.223.0.0/1680.223.0.1 to 80.223.255.25480.223.255.25565,534
22580.224.0.0/1680.224.0.1 to 80.224.255.25480.224.255.25565,534
22680.225.0.0/1680.225.0.1 to 80.225.255.25480.225.255.25565,534
22780.226.0.0/1680.226.0.1 to 80.226.255.25480.226.255.25565,534
22880.227.0.0/1680.227.0.1 to 80.227.255.25480.227.255.25565,534
22980.228.0.0/1680.228.0.1 to 80.228.255.25480.228.255.25565,534
23080.229.0.0/1680.229.0.1 to 80.229.255.25480.229.255.25565,534
23180.230.0.0/1680.230.0.1 to 80.230.255.25480.230.255.25565,534
23280.231.0.0/1680.231.0.1 to 80.231.255.25480.231.255.25565,534
23380.232.0.0/1680.232.0.1 to 80.232.255.25480.232.255.25565,534
23480.233.0.0/1680.233.0.1 to 80.233.255.25480.233.255.25565,534
23580.234.0.0/1680.234.0.1 to 80.234.255.25480.234.255.25565,534
23680.235.0.0/1680.235.0.1 to 80.235.255.25480.235.255.25565,534
23780.236.0.0/1680.236.0.1 to 80.236.255.25480.236.255.25565,534
23880.237.0.0/1680.237.0.1 to 80.237.255.25480.237.255.25565,534
23980.238.0.0/1680.238.0.1 to 80.238.255.25480.238.255.25565,534
24080.239.0.0/1680.239.0.1 to 80.239.255.25480.239.255.25565,534
24180.240.0.0/1680.240.0.1 to 80.240.255.25480.240.255.25565,534
24280.241.0.0/1680.241.0.1 to 80.241.255.25480.241.255.25565,534
24380.242.0.0/1680.242.0.1 to 80.242.255.25480.242.255.25565,534
24480.243.0.0/1680.243.0.1 to 80.243.255.25480.243.255.25565,534
24580.244.0.0/1680.244.0.1 to 80.244.255.25480.244.255.25565,534
24680.245.0.0/1680.245.0.1 to 80.245.255.25480.245.255.25565,534
24780.246.0.0/1680.246.0.1 to 80.246.255.25480.246.255.25565,534
24880.247.0.0/1680.247.0.1 to 80.247.255.25480.247.255.25565,534
24980.248.0.0/1680.248.0.1 to 80.248.255.25480.248.255.25565,534
25080.249.0.0/1680.249.0.1 to 80.249.255.25480.249.255.25565,534
25180.250.0.0/1680.250.0.1 to 80.250.255.25480.250.255.25565,534
25280.251.0.0/1680.251.0.1 to 80.251.255.25480.251.255.25565,534
25380.252.0.0/1680.252.0.1 to 80.252.255.25480.252.255.25565,534
25480.253.0.0/1680.253.0.1 to 80.253.255.25480.253.255.25565,534
25580.254.0.0/1680.254.0.1 to 80.254.255.25480.254.255.25565,534
25680.255.0.0/1680.255.0.1 to 80.255.255.25480.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses